using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace dvaniza
{
    internal class Program
    {
        

        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string[] ulaz = Console.ReadLine().Split(' ');
            int[] A = new int[N];
            int[] B = new int[N];
            for (int i = 0; i < N; i++)
                A[i] = int.Parse(ulaz[i]);
            ulaz = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
                B[i] = int.Parse(ulaz[i]);
            long res = 0;
            for(int L = 0;L < N; L++)
            {
                for(int R = L;R < N; R++)
                {
                    int Xor = 0;
                    int And = B[L];
                    for(int k = L; k<=R ; k++)
                    {
                        Xor ^= A[k];
                        And &= B[k];
                    }
                    int proizvod = Xor * And;
                    res = Math.Max(res, proizvod);
                }
            }
            Console.WriteLine(res);

        }
       
    }
}